All Products
Search
Document Center

OpenAPI Explorer:ListProducts

Last Updated:Mar 30, 2026

Lists all Alibaba Cloud products. You can filter the results by keyword.

Operation description

This API retrieves public information and does not require authorization.

Try it now

Try this API in OpenAPI Explorer, no manual signing needed. Successful calls auto-generate SDK code matching your parameters. Download it with built-in credential security for local usage.

Test

RAM authorization

No authorization for this operation. If you encounter issues with this operation, contact technical support.

Request syntax

GET /listProducts HTTP/1.1

Request parameters

Parameter

Type

Required

Description

Example

filter

string

No

The keyword used to filter the products. If you omit this parameter, the API returns all Alibaba Cloud products.

ECS

Response elements

Element

Type

Description

Example

object

The response body.

products

array<object>

A list of cloud products.

object

The details of a cloud product.

code

string

The unique product code.

Ecs

name

string

The name of the cloud product.

Elastic Compute Service (ECS)

description

string

The description of the cloud product.

Provides scenario-based intelligent data analysis and management. Offers a one-stop experience for processing, analyzing, and searching documents and images in the cloud. Integrates complete processing capabilities for different business scenarios to enable efficient data flow.

shortName

string

The short name of the cloud product.

ECS

group

string

The group that the cloud product belongs to.

Elastic Computing

style

string

The API style.

RPC

versions

array

A list of API versions.

string

An API version.

2022-02-20

defaultVersion

string

The default API version.

2014-05-26

categoryName

string

The name of the level-1 product category.

Elastic Compute Service

category2Name

string

The name of the level-2 product category.

Computing

requestId

string

The Request ID.

9BFC4AC1-6BE4-5405-BDEC-CA288D404812

Examples

Success response

JSON format

{
  "products": [
    {
      "code": "Ecs",
      "name": "Elastic Compute Service (ECS)",
      "description": "Provides scenario-based intelligent data analysis and management. Offers a one-stop experience for processing, analyzing, and searching documents and images in the cloud. Integrates complete processing capabilities for different business scenarios to enable efficient data flow.",
      "shortName": "ECS",
      "group": "Elastic Computing",
      "style": "RPC",
      "versions": [
        "2022-02-20"
      ],
      "defaultVersion": "2014-05-26",
      "categoryName": "Elastic Compute Service",
      "category2Name": "Computing"
    }
  ],
  "requestId": "9BFC4AC1-6BE4-5405-BDEC-CA288D404812"
}

Error codes

See Error Codes for a complete list.

Release notes

See Release Notes for a complete list.